GET /sms/v1/contacts/refreshList/{id}/status/{tokenId}

Retrieves the refresh list status.

URL Parameters

Name Type Description
ListID String Required. The ID of the list found in the MobileConnect interface
TokenID String Required. The unique ID returned when using the RefreshList operation

Usage

This sample request shows how to retrieve the status of a list.

Host: https://YOUR_SUBDOMAIN.rest.marketingcloudapis.com
GET /sms/contacts/refreshList/LIST_ID/status/TOKEN_ID
Content-Type: application/json
Authorization: Bearer YOUR_ACCESS_TOKEN

The response contains information about the specified list.

{
  "tokenId": "NDo8NDow",
  "publishDate": "2012-12-18T15:42:15.080Z"
}

If the request wasn't valid, the API returns a 400 response that includes details about the error that occurred.